
(defun c:annot ()
   (setq e (entget (car (entsel))))
   (setq p1 (cdr (assoc 10 e)))
   (setq p2 (cdr (assoc 11 e)))
   (if (> (car p1)(car p2))
     (progn
       (setq pt p2)
       (setq p2 p1)
       (setq p1 pt)
     )
   )
   (setq a (angle p1 p2))
   (setq d 36)
   (setq h 24)
   (setq d1 (distance p1 p2))
   (setq d2 (/ d1 2))
   (setq p5 (polar p1 a d2))
   (setq d1 (rtos d1))
   (setq a1 (angtos a))
   (setq p3 (polar p5 (+ a (dtr 90)) d))
   (setq p4 (polar p5 (- a (dtr 90)) d))
   (command "text" "m" p3 h (rtd a) d1)
   (command "text" "m" p4 h (rtd a) a1)
   (princ)
 )
